# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'objectable_json/version'

Gem::Specification.new do |spec|
  spec.name          = "objectable_json"
  spec.version       = ObjectableJSON::VERSION
  spec.authors       = ["kazuooooo"]
  spec.email         = ["matsumotokazuya7@gmail.com"]

  spec.summary       = %q{simple and clever JSON => Object Mapper}
  spec.description   = %q{ObjectableJSON is simple and clever JSON => Object Mapper. ObjectableJSON automatically analyze your JSON values and convert the values to Single Object. So, you can easily convert JSON to Single Object by only calling ObjectableJSON#parse method. Especially, this gem is powerful & useful when you treat some API JSON response. Also, this gem can work for Hash.}
  spec.homepage      = "https://github.com/kazuooooo/objectable-json"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard", "~> 2.14.0"
  spec.add_development_dependency "guard-rspec", "~> 4.7.3"
  spec.add_development_dependency "simplecov", "~> 0.12.0"
  spec.add_development_dependency "yard"
  spec.add_dependency "activesupport", "~> 4.0.0"

  spec.required_ruby_version = '> 2.2.5'
end
